-- Hides MicroMenuButton
hooksecurefunc("UpdateMicroButtons",function(...) -- Hooks into the UpdateMicroButtons
	if AchievementMicroButton then AchievementMicroButton:Hide() QuestLogMicroButton:SetAllPoints(AchievementMicroButton) end
end)

-- Filters Chat Announcements (Can just untick them in Chat Options)
function filterAchievement(msg)
	return true
end
ChatFrame_AddMessageEventFilter("CHAT_MSG_GUILD_ACHIEVEMENT", filterAchievement)
ChatFrame_AddMessageEventFilter("CHAT_MSG_ACHIEVEMENT", filterAchievement)

-- Removes Additional Bound Keys (Can just unbind them in Key Bindings Menu)
Unbindkeys = {"TOGGLEACHIEVEMENT", "TOGGLESTATISTICS"}
function UnBind(key)
	SetBinding(key)
end
local HideAchievements = CreateFrame("Frame")
HideAchievements:RegisterEvent("PLAYER_LOGIN")
HideAchievements:SetScript("OnEvent", function(self, event, ...)
	HideAchievements:UnregisterEvent("PLAYER_LOGIN")
	for _,Unbindkey in pairs(Unbindkeys) do
		local key1, key2 = GetBindingKey(Unbindkey)
		if key1 ~= nil then UnBind(key1) end
		if key2 ~= nil then UnBind(key2) end		
	end
	SaveBindings(GetCurrentBindingSet()) -- Otherwise they will reset
end)